Introduction to UR30

Ultimate Racer 3.0 (UR30) is a slot car race manager and circuit designer software. It is based on several years of slot car experience.

It includes suggests of many slot racers and club drivers.

When started, click on the [image] toolbar button in the toolbar to access the race management system :

From the race management system, click on the “track layout editor” button [image] to access the track layout editor :

UR30 embeds also 3D rendering features for 3D track layout render :

Hope you're having fun with UR30.

Please forward your questions, feedbacks or suggests to : support@uracerweb.org

You can donate if you enjoy using UR30, as specified on the UR30 web site page.

Documentation rev 3.3.00


Quick start for racing

Prerequisite : this description assumes that all hardware and electronics are connected on the computer parallel port and ready for use.

1 - Click on button [image] in the toolbar if the current window page is the editor to switch into the race management system.

2 - from the race management system, select the "Race setup" [image] menu item to open the race preparation view :

3 - click on "Race settings" [image] to setup the race parameters. Select "Practice" from the "Race Type" combo box (example to run a practice mode race). The "Race settings" dialog is used also to setup advanced race parameters.

4 - configure each lane by clicking once on the lane color rectangle. The lane configuration dialogue is displayed. By default, there is one blue lane and a yellow one.

Specify for each lane :

- its length

- its color

- the parallel port the detection is done from

- the detection pin number (usual parallel port pin number)

- ensure the detection is turned on

If you have more than 2 lanes, change the parameters from the circuit setup page.

5 - configure each lane crew by selecting drivers and slot cars if they have been already created. Drivers and slot cars must have been created before in the appropriate views.

6 - close the dialogue when the setup is completed.

7 - click on [image] to start a race in selected mode.


Drivers

Use this pane to create, delete and modify drivers.

Driver list

This first pane side contains the selected driver information.

To select a driver, click on his name in the driver list table near the driver information.

Click on button “Add” or “Delete” to create a new driver or delete current selected driver.

"Duplicate" creates a new driver with the same attributes as the current selected.

Caution : when a driver is deleted, all its laps are as well definitively removed from database.

Driver characteristics

Fill here all selected driver characteristics :

- his nickname : that’s the most important information to find a driver. UR30 uses this information to reference a driver.

- Name

- First name

- Miscellaneous notes on this driver like beer and chips consummation per racing session

- his racing club

- his racing team

- personal information : e-mail address, address, phone number… The e-mail address can be used by UR30 to send invitation or race result memo.

- His picture : click on the “…” button below the picture box to open the picture selection dialogue.

Driver palette

The driver palette displays the list of all drivers sorted by miscellaneous criteria. Click on a driver nickname to display its attributes and its statistics.

Race statistics

This table displays the driver statistics for each car he raced with on current circuit.

Click once on a column title to sort all statistics according to the column parameter.

"Show Race" displays the race history the selected statistic belongs to.

"Show car" displays the slot car the selected statictic was done with.


Slot car manager

Use this pane to create, delete and edit slot cars. It can be used as well to compare slot car one to each other.

Use the vertical scrollbar to access all pane features.

Choosing a slot car

Select in the slot car grid the slot car you want to edit.

“Add” button creates a new slot car.

“Duplicate” button creates a new slot car with the same attributes than the current one.

“Delete” button deletes selected slot and all its race statistics.

The slot cars can be sorted by column title by clicking twice on corresponding column title.

Slot car palette

Use the slot car palette to sort slot car by categories, brand or any miscellaneous sorting criteria.

Slot car characteristics

This part of the pane allows the main slot car characteristic record :

- slot car color : click once on the colored square to open the color selection dialogue

- slot car name

- slot car number

- slot car brand

- slot car brand reference

- category of the slot car, chosen and defined at your convenience

- owner of the slot car

- racing stable (usefull for clubs)

- shop the slot car was purchased

- manufacturer of the original racing car (Ferrari, Porshe, etc.)

- slot car picture : click on the button below the picture to open the picture selection dialogue

- sound played by the race management system when the slot car is detected by the sensors. The button “>” near the selection dialogue open can be used to test the sound.

This information can be updated according to your needs. All slot car information is available : Name, supplier, picture and category.

The slot car fuel consumption is set there. Refer to Fuel/refuel management for further details.

Click on button Add, Duplicate or Delete to create a new car or deleted current selected car. When a car is deleted, all its laps are as well definitively removed from database.

Slot car comparizon

Displays stats about current selected slot car. The chart displays some special slot car metrics. These metrics can be compared with other slot car similar metrics.

The chart can be scrolled using the mouse right button.

Use Displayed samples combo box to select the car information displayed into the chart.

Speed top 50 means the best 50 measured speed for all cars, sorted from the best to the worst.

Compared cars combo boxes contain the list of all slot car recorded into the database. Each time a slot car is selected its measures are displayed into the chart to make the comparison easier.

This feature is usefull to group cars together by categories.

Slot car statistics

Displays and sort slot car statistics.

"Delete lap" deletes the lap attached to the selected stat.

"Show race" and "Show driver" displays the race history the stat was done or the driver who was handling the slot car.

Slot car maintenance history

Record here all slot car maintenance tasks.

Each maintenance task is usually described by a main title and a date.

Click twice on column titles to sort maintenance tasks either by date or title.

Technical sheet

This part of the pane contains all slot car internal technical characteristics.

# pinion teeth : number of engine pinion teeth.

# bull teeth : motor number of bull teeth.

The bull/pinion ratio is updated each time the number of teeth are changed. Changing directly this ratio change the teeth number to be as close as possible from the new ratio. The ratio can be scrolled between a predefined range of values suing the scollbar below the ratio edit box.

Tire diameter : rear tire diameter.

Motor name : motor constructor name.

Motor speed : maximal number of turns per minute for this motor.

Simulation

The simulation uses above defined values to calculate number of motor and tire rotations for a given distance (lane length). This distance can be manually changed using either the edit box or the scrollbar.

Change currency, length and miscellaneous slot car attribute units

To change the slot car price currency, click twice on the currency name. It opens the "Slot car units" dialogue from where you can change all units displayed in the slot car view.

Caution : attribute unit changes are not taken into account to convert existing values into new unit compliant values.


Race setup

Use this pane to parameterize a race. This pane is updated according to the number of lanes. UR30 handles following lane numbers :

  • 1 lane
  • 2 lanes
  • 3 lanes
  • 4 lanes
  • 6 lanes
  • 8 lanes

Race information

Displays the race name and its setup.

"Race settings" opens the race settings dialog.

Click on the [image] button to start the race when its setup is completed.

Select driver and slot car

Click on the driver or slot car fields to select them. When clicked, UR30 displays a combo box where drivers and cars can be chosen.

These lists come from the Driver and Slot car management panes.

The colored rectangle corresponds to the circuit lane color. In this example, Alfred will race with the Citroen Xsara Nissan on the green lane.

Change lane parameters

Click once on the lane color rectangle to open the lane parametrization dialogue.

.

Change crew race parameters

The "Race event" menu allows to change race settings and change race crews.

- stagger : shift lane crews using the official segment race rules (staggered)

- shift driver : shift ONLY drivers from one lane to the next one

- shift slot cars : shift ONLY slot cars from one lane to the next one

- shift crew : shift all crews from one lane to the next one

- random : randomly dispatch slot cars and drivers betweens lanes


Configure a circuit

Click on the main pane “Setup” button to open the circuit configuration pane.

The top of the dialogue allows creation of new circuit or deletion of current circuit. The circuit name is modified with the edit box “Name”.

Select here the circuit you’re playing with. “Add…” button allows creation of a new circuit. “Delete” deletes current selected circuit.

Caution : deleting a circuit delete ALL statistics attached to this circuit.

The circuit attributes are grouped by categories. These categories are accessible thru a node list. There are four categories of circuit attributes :

- general : general attributes around the circuit : general information, backup management, WEB publication, circuit picture and race pane selection

- hardware : LPT port, COM port, DS200 & DS300, RMS and WebCam parametrization

- sounds : there is one sound configuration pane per sound

- lanes : there is one lane configuration pane per lane

Use the vertical scrollbar to access all options if the node list is to high.


Tournament

The tournament menu allows to :

- update race settings (default tournament heat scores and rules when needed)

- restore on going tournament

- design a new tournament with its own rules or customize an existing one

This menu can be used to select one of the three tournament panes. The tournament management system is divided into three panes as follow.

Setting pane

This pane is used to select driver/slot car crews and the tournament type.

Heat pane

Displays tournament heats and their status.

Score pane

Displays driver scores and ran races.


Top 50

This pane displays the 50 Ultimate Racer champion higest speeds and laps.

Click twice on the Speed, Lap or date columns to sort the top 50 drivers by speed or laps or date.

Use the combo box filters on the right of the table to filter stats by Circuit, Slot car categories or by lanes.


Race view menu

Race Manager Menus

The Views menu offers the following commands, which provide you access to the race management system views.

Drivers | Displays the driver management view
Slot cars | Displays the slot car management view
Race setup | Configure a race for racing!
Top 50 | Who are the top 50 best crews ?
Setup | Configure all your circuit caracteristics : lane lengths, sensors…
Tournament | Manage several types of tournaments.
History | All details about the races : lap history, crew scores, history of all races
Editor | Switch to the track layout editor
Start race | Race on on! And win (or try to…)
Print | Opens the current view report onn the explorer for printing purposes.
Web publish | Publish a set of selected reports on a web site
Exit | Quit Ultimate Racer


Circuit Editor

The circuit editor is a wysiwyg interface allowing track section manipulation. Each circuit is edited in a MDI child window.

Track sections are added by clicking twice in the palette or by dragging and dropping the selected track section from the track palette into the circuit editor window.

When a track section is dropped on the editor window, it is automatically attached to the closest track section if any.

UR30 circuit editor manages :

- circuit statistics : track length, number of right/left curves depending on the slot car direction

- several zoom factors

- a track library editor you can use to design your own tracks

- a powerfull “scale object”, allowing to measure the lane distance between 2 points on the circuit

- the most used track libraries such as Ninco, Carrera, Scalextric, Aurora

- track adapters to manage several libraries together

- track borders

- an html report generator to publish your track layouts on the web

- a track layer and an object layer

The toolbar contains short cut buttons to the most used track layout editor features.

The status bar on the main window bottom indicates the most editor usefull information like the mouse location, current selected track section name and reference.

The menu bar allows an access to the editor commands :

File menu

Edit menu

View menu

Object menu

Window menu

Help menu

Track layout editor keyboard and mouse shortcuts :

<Arrow keys> | Scroll the editor view to the left, right, top or bottom
<maj> + <arrow keys> | Scroll faster the editor view to the left, right, top or bottom
Mouse wheel | Zoom in/out editor view either in 2D editor mode or 3D render mode
<tab> | Move track selection from current selected track to the next one
<maj> + <tab> | Move track selection from current selected track to the previous one
<page up> | Select the previous track in the track palette
<page down> | Select the next track in the track palette
<M> | 3D render only : zoom out
<P> | 3D render only : zoom in
<J> | 3D render only : scroll left
<L> | 3D render only : scroll right
<I> | 3D render only : scroll up
<K> | 3D render only : scroll down
<up> | 3D render only : roll up
<down> | 3D render only : roll down


The editor in a nutshell

1 – Start Ultimate Racer 3.0. Click on the Editor button to switch to the window editor If the first window is not the editor window.

2 – check the track palette name (Carrera Exclusiv in current example). Select the track library you need if the current one is not the one you need. Click on menu Object/Load Track section Library. Select your track section library in the track section library dialogue.

3 – click twice in the palett on the track section you want to add. The track section is automatically created and added in the editor window.

4 – make the track direction displayed if it is not visible. Click on the menu View/Preferences. Then select the option “Show Track Direction”

5 – click twice again on the next track section you want to add. The track section is added just after the current one, using the current circuit direction.

Before click

After click twice

6 – click on the invert button to invert any track section connection. Use the toolbar for further track section operations.

Before connection inversion

After connection inversion

7 – click on the delete button to delete current track section

8 – proceed in the same way until the circuit is finished. Click twice on one track section of the circuit to display all track statistics :

9 – click on the file/preview menu to preview the circuit before printing

10 – click on the file/print menu to print the circuit


File menu commands

The File menu offers the following commands:

New | Use this command to create a new document in Ultimate Racer. Select the type of new file you want to create in the File New dialog box.
Open… | Opens an existing document. This document can be an UR30 file or a tracker 2000 file (extension tr3).
Close | Use this command to close all windows containing the active document. UR30 suggests that you save changes to your document before you close it. If you close a document without saving, you lose all changes made since the last time you saved it. Before closing an untitled document, UR30 displays the Save As dialog boxAFX_HIDD_FILESAVE and suggests that you name and save the document. You can also close a document by using the Close icon on the document's window, as shown below:
Save | Use this command to save the active document to its current name and directory. When you save a document for the first time, UR30 displays the Save As dialog boxAFX_HIDD_FILESAVE so you can name your document. If you want to change the name and directory of an existing document before you save it, choose the Save As commandHID_FILE_SAVE_AS.
Save as | Use this command to save and name the active document
Export | Exports current track layout as picture file, or statistics on circuit or track section stocks in html format.
Web publish… | Publish a set of selected reports on a web site
Race System | Switch to the race management system
Print | Prints current view.
Print PreviewHID_FILE_PRINT_PREVIEW | Displays the document on the screen as it would appear printed.
Print SetupHID_FILE_PRINT_SETUP | Selects a printer and printer connection.
1, 2, 3, 4 command | Use the numbers and filenames listed at the bottom of the File menu to open the last four documents you closed. Choose the number that corresponds with the document you want to open.
Exit | Use this command to end your Ultimate Racer session. You can also use the Close command on the application Control menu. Ultimate Racer prompts you to save documents with unsaved changes. Double-click the application's Control menu button.


Edit menu commands

The Edit menu offers the following commands:

Undo | Reverse previous editing operation. Use this command to reverse the last editing action, if possible. The name of the command changes, depending on what the last action was. The Undo command changes to Can't Undo on the menu if you cannot reverse your last action.
Redo | Reverse previous undo operation.
CutHID_EDIT_CUT | Use this command to remove the currently selected objects from the document and put it on the clipboard. This command is unavailable if there is no objects currently selected. Cutting objects to the clipboard replaces the contents previously stored there.
CopyHID_EDIT_COPY | Use this command to copy selected objects onto the clipboard. This command is unavailable if there is no object currently selected. Copying objects to the clipboard replaces the contents previously stored there.
PasteHID_EDIT_PASTE | Use this command to insert a copy of the clipboard contents in UR30. This command is unavailable if the clipboard is empty.
DeleteHID_EDIT_DELETE | Use this command to remove the currently selected objects from the document. This command is unavailable if there is no objects currently selected.
Select all | Use this command to all objects from the document. This command is unavailable if there is no objects currently created.


View menu commands

The View menu offers the following commands:

ZoomHID_VIEW_ZOOM | Change document zoom factor.
PreferencesHID_VIEW_PAPER_COLOR | Use this command to change document settings : track display attributes, document size, paper color (i.e. document background color and document grid settings.
3D View | Switches on/off the 3D render mode. Note : edition features are disabled in 3D rendering mode.
ToolbarHID_VIEW_TOOLBAR | Use this command to display and hide the toolbar, which includes buttons for some of the most common commands in Ultimate Racer, such as File Open. A checkmark appears next to the menu item when the toolbar is displayed. See toolbar for help on using the toolbar.
Status BarHID_VIEW_STATUS_BAR | Shows or hides the status bar.
LibraryHID_VIEW_STATUS_BAR | Shows or hides the track palette.


Object menu commands

The Object menu offers the following commands:

Standard shapesHID_OBJECT_LINE

Creates a standard object between : line, rectangle, round rectangle, ellipse, polygon, picture and text object

Room

Add room object

Models

Select then insert a new 3D object (3DS object)

Insert New ObjectHID_OLE_INSERT_NEW

Inserts and embeds an object, such as a bitmap or a text in a document.

LinksHID_OLE_EDIT_LINKS

List and edit links to embedded documents.

ObjectHID_OLE_OBJECT

Activates embeded or linked object. <Object> corresponds to the current OLE selected object type.

This command opens the object for modification, using its source application or the OLE embedded features of its application inside the current track editor.

Track stockHID_OBJECT_TRACK_STOCK

Opens the track stock management dialog.

Load libraryHID_OBJECT_LOAD_LIBRARY

Load a new track library.

Move to frontHID_OBJECT_MOVE_TO_FRONT

Use this command to move the selected objects at the top of the object list on current active document.

Usefull to display a track crossing over a circuit section.

Move to backHID_OBJECT_MOVE_TO_BACK

Move selected objects at the bottom of the object list

Move forwardHID_OBJECT_MOVE_FORWARD

Move forward selected objects inside the object list

Move backHID_OBJECT_MOVE_BACKWARD

Move back selected objects inside the object list

Align objectsHID_OBJECT_ALIGN

Align selected objects

Properties

Opens current selected object property dialogue. Opens the default frame and fill color dialogue if no object is selected.


Window menu commands

The Window menu offers the following commands, which enable you to arrange multiple views of multiple documents in the application window:

New Window

Use this command to open a new window with the same contents as the active window. You can open multiple document windows to display different parts or views of a document at the same time. If you change the contents in one window, all other windows containing the same document reflect those changes. When you open a new window, it becomes the active window and is displayed on top of all other open windows.

Cascade

Arranges windows in an overlapped fashion.

Tile

Arranges windows in non-overlapped tiles.

Arrange Icons

Use this command to arrange the icons for minimized windows at the bottom of the main window. If there is an open document window at the bottom of the main window, then some or all of the icons may not be visible because they will be underneath this document window.

Window 1, 2, ...

Goes to specified window.

UR30 displays a list of currently open document windows at the bottom of the Window menu. A check mark appears in front of the document name of the active window. Choose a document from this list to make its window active.


Help menu commands

The Help menu offers the following commands, which provide you assistance with this application:

Contents

Opens the on line help starting from the TOC page

Index

Use this command to display the opening screen of Help. From the opening screen, you can jump to step-by-step instructions for using UR30 and various types of reference information.

Once you open Help, you can click the Contents button whenever you want to return to the opening screen.

Tutorial

Opens track layout tutorial

Tip of the day

Opens the tip of the day dialogue

About UR30…

Use this command to display the copyright notice and version number of your copy of UR30.


Customize Reports

UR30 generates its reports from templates. These templates are stored in sub-folder Reports of UR30 installation folder :

There is one template per report. UR30 generates report as follow :

- UR30 reads the template corresponding to the user selection

- UR30 fills the template XML header with the data requested by the user. Ex : if the user selects a driver list, then UR30 fills the XML header report with alll driver details in a XML format

- UR30 saves the filled template as an html file.

- this html file is saved in folder \temp\reports for displayed reports or \temp\web for web published report

- the html file has the same prefix name than its template and its extension depends on the user selected data (usually the ID of the data). Nevertheless this name is always displayed in the web publish dialogue box.

UR30 uses the standard XML markups to fill the reports.

Example of empty template XML header :

<XML ID="dsoEnvironment"></XML>

<XML ID="dsoSlotCar"></XML>

Then these data fields can be reused in the document template thru DATASRC and DATAFLD markup attributes for labels, tables, images, ...

Refer to the official html documentation to use XML markups.

Always make a copy of the original template before doing any changes in order to restore the original template in case of…


Import/export data with UR30

UR30 are stored into a MS Database. This database is located in folder database of the installation folder :

The database name is : SlotCar30.mdb

These data can be exported from this database with any MS Access compliant software.

Caution : before doing any changes in UR30 database, take care of the table relationships to avoid to break data consistency integrity.

Example : import driver list from UR30 database into an Excel spreadsheet

1 – start Excel

2 – select : Data -> Get external data -> New database query

3 – follow the wizard import steps : database type : MS Access (*.mdb)

4 – select the database file from its folder : slotcar30.mdb

5 – select table “Pilot”

6 – select field temporary. Apply filter : temporary = 0 to keep only existing drivers. The temporary drivers are used as default drivers when no names are specified in the race setup

7 – confirm import into Excel spreadsheet

8 – click on finish button

Then all drivers are imported into the Excel spreadsheet.


WEB Publish

Publish a set of selected reports on the web and manage publication web sites.

Site manager :

Specify here the publication web site list on which you're used to publish UR30 reports.

"Add" creates a new site access.

"Delete" deletes a site access.

"Test" tests connection on selected site.

Site name : name of the site access.

Host/IP/URL : web site the reports are going to be uploaded on.

Remote folder : remote site folder in which reports are uploaded.

Login/Password : site access login/password as provided by your web site provider.

FTP reports :

Select the reports you want to publish, then click on “Transfer” to build and publish them. The report name is displayed between the parenthesis.

Note : publication may take a while according to the number of selected reports, the time to build them and at least to upload them.

UR30 ftps the reports on the web site and directory specified in the site manager.

The web report preparation may take a while according to the selection size. When the preparation is completed, UR30 displays the ftp publish dialogue :

If the publication fails, check carefuly the ftp access information :

- server name (check with your provider)

- directory the files will put in

- your web login name

- your web login password

Caution : the ftp parameters are attached to a circuit. If you manage several circuits, be sure these data are properly recorded for each circuit.

Refer to following help page to learn how to customize reports.

WEB report name | Description
Current slot car details | Report with slot car details and stats selected in slot car pane
Current driver details | Report with driver details and stats selected in driver pane
List of all slot cars | All slot car from the database with picture and stats
List of all drivers | All drivers from the database with pictures and stats
Top 50 | Top 50 best laps sorted by criteria of Top 50 pane
Current race history | Report with the last selected race in History pane
Circuit details | Circuit and hardware configuration details
Race setup details | All information from pane Race setup
Tournament status | Tournament details with teams, races, laps and stats.


How to create a new track library ?

Track libraries are text files (.txt) saved in directory "Library" in the application directory (usually UR30).

To create a new track library, first duplicate an existing one with the file manager in the directory "Library", rename it and click twice on it to edit it.

Library files are structured as Windows initialization files (.ini). They contain Sections which contains entry keys.

In a library file, each section corresponds to a track, and each entry key of the section corresponds to a track attribute.

Example of track library file content :

[Default]

Unit=cm

Library=Scalextric 1/32 tracks

Name=

Width=15.5

BorderWidth=4

Radii=0

[Curve C151]

Name=C151 - Standard curve

Shape=curve

Radii=21.85

Angle=45.0

[Straight C160]

Name=C160 - Full straight

Shape=straight

Length=35

[Chicane C8032]

Name=C8032 - Skid Chicane / Standard Straight

Shape=chicane

Length=35

Lane1=36.5

Lane2=36.5

The Default section contains all track default parameters, and all library information such as library name. Following table describes each entry key available to define a track.

All other sections correspond to the library tracks. The name of the section will be reused as menu item when this library is loaded and becomes the active library.

Shape/property table :

Shape/property |  | straight | curve | chicane | crossover | midchicane | curvecrossover | bezier | adapter | straightborder | curveborder | hairpincurve | swipestraight
Pict |  |  |  |  |  |  |  |  |  |  |  |  |
Name | Track name |  |  |  |  |  |  |  |  |  |  |  |
Unit | Cm or inches. For lengths or widths |  |  |  |  |  |  |  |  |  |  |  |
Angle | Curve angle |  | * |  |  |  | * |  |  |  | * |  |
Radius | Track radius from the internal track side |  | * |  |  |  | * |  |  |  | * |  |
Length | Track length. Automatically calculated when curve and radius specified | * |  | * | * | * |  | * | * | * |  |  |
Lane1 | Lane1 length. Use prior to track length when not null | * | * | * | * | * | * | * | * | * | * | * |
Lane2 | Lane2 length. Use prior to track length when not null | * | * | * | * | * | * | * | * | * | * | * |
Width | Track width | * | * | * | * | * | * | * | * | * | * | * |
BorderWidth | Distance between external track sides and closest lane middle | * | * | * | * | * | * | * | * |  |  |  |
ChicaneBorderWidth |  |  |  |  |  |  |  |  |  |  |  |  |
RoadTexture | Track texture | * | * | * | * | * | * | * | * | * | * |  |
Surface1 | First surface texture applied on the track | * | * | * | * | * | * | * | * | * | * |  |
Surface2 | First surface texture applied on the track | * | * | * | * | * | * | * | * | * | * |  |
AdapterWidth | Track width of a track adapter side |  |  |  |  |  |  |  | * |  |  |  |
AdapterBorderWidth | Distance between external track adapter side and its closest lane middle |  |  |  |  |  |  |  | * |  |  |  |
ChicaneBorderWidth | Distance between external track side and closest lane middle |  |  |  |  | * |  |  |  |  |  |  |
BorderWidth1 | Distance between external track sides and lane 1 middle |  |  |  |  |  |  |  |  |  |  | * | *
BorderWidth2 | Distance between external track sides and lane 2 middle |  |  |  |  |  |  |  |  |  |  | * | *

* : property available for this track shape


Standard objects

3D objects

3D object imports render realistic 3D scenes.

Select the object you want to import into UR30, then click on OK. The selected object is displayed in 3D before beeing imported to make the choice easier.

The 3D objects are 3D studio files (*.3ds) stored in folder .\media\models :

UR30 searches 3D objects in this folder. The 3D object data are never saved inside UR30 files. Only the references to the 3D objects are. Thus put all 3D models (including their textures) in this folder to display a track layout using specific 3D objects.


Alignment dialogue

Align command

Use this command to align selected objects.

Select the way you to align the objects by clicking in appropriate radio-button, then by clicking in "OK" button.


About dialogue

About command

Use this command to display the copyright notice and version number of your copy of Ultimate Racer.

The revision number is very important to compare your software revision with the last official one… and keep your current revision up to date.


Circuit properties

The circuit properties are based on all track sections attached to the current selected track section.

The Circuit property tab displays the current track section circuit properties.

The Track angle tab setups the selected track section angle.

The Frame color tab setups the selected track section frame color.

The Fill color tab setups the selected track section fill color.

The dialogue summarizes all circuit characteristics :

- library used

- scale factor

- lane color. Height standard lane colors can be chosen : blue, yellow, red, green, white, black, purple, orange

- each lane length : select the lane in the Lane combo box

- the scale conversion

- the scaled lane length (depends on the library track section scale)

- number of degrees to the right or to the left. These values depend on the circuit direction

- total tracks : number of each track used by this circuit

- circuit width and height


Choose Color Dialog

Choose Color tab

The color picker tab is available from several property editing dialogues. This tab is used to setup :

- object frame color

- object fill color

- font color

Click on the color picker to choose a color.

To define your own color, either type its Red, Green, Blue attributes or click on the Custom button.

The Custom button opens the standard Windows detailed color picker dialogue :

Select the color by clicking on the color box you want.

Click on “OK” to apply your selection.


Document size

Use this tab to setup the document size :

Here you can specify the number of horizontal and vertical pages occupied by the document area.


Circuit Editor

The circuit editor is a wysiwyg interface allowing track section manipulation. Each circuit is edited in a MDI child window.

Track sections are added by clicking twice in the palette. They can be moved with the mouse directly on the editor window. When the mouse button is released, then the track section is automatically snapped to the closest track section.

UR30 circuit editor manages :

- circuit statistics : track length, number of right/left curves depending on the slot car direction

- several zoom factors

- a track library editor you can use to design your own tracks

- a 3D render feature to display the track layout in 3D

- most of the most used track libraries such as Ninco, Carrera, Scalextric, Artin, Aurora

- track adapters to manage several libraries together

- track borders

Commands

File menu

Edit menu

View menu

Object menu

Window menu

Help menu

The toolbar accesses the most used commands.


File Save As command

Save As command

Use this command to save and name the active document. UR30 displays the Save As dialog boxAFX_HIDD_FILESAVE so you can name your document.

To save a document with its existing name and directory, use the Save commandHID_FILE_SAVE.

File Save As dialog box :

- file name : type or select the filename you want to open. This box lists files with the extension you select in the List Files of Type box.

- List Files of Type. Select the type of file you want to open. UR30 file extension is *.scc

- Drives : Select the drive in which UR30 stores the file that you want to open

- Directories : Select the directory in which UR30 stores the file that you want to open

- Network : Choose this button to connect to a network location, assigning it a new drive letter


Grid settings

Grid settings command

Use this command to modify the active document grid settings :

In this dialog you can change the document grid settings as follow :

- grid units : inches, centimeters or millimeters. When inches are chosen, all measurement and scale conversion are done in inches, feet and miles. When centimeters or millimeters are chosen, all scale conversion are done in centimeters, meters and kilometers. This parameter is used in the circuit property dialog to display scale converted circuit length.

- show/hide major grid in edit views

- show/hide minor grid in edit views

- snap to grid : objects are snapped to the minor when this option is switched on

- change the grid resolution width and height. The resolution unit is specified in current selected grid unit.

- select the rotating step angle value. Used while rotating track sections and attached circuit

The minor grid is used to snap objects.

Changing the grid unit or the grid resolution does not change the zoom. To change the zoom, select the menu item View / Zoom.


Insert OLE dialogue

Insert New Object command

Use this command to create a new OLE object. This menu display the OLE creation dialog. You can create this object from an existing file, or from scratch by clicking in the radio-button "From File" or "New".

Create of a new OLE object :

Select in the Object Type list the object type you want to create. This list is based on softwares installed on your computer.

Create of a new OLE from a file :

Type in the edit box the path to the object file, or click on the "Browse" button to fill it automatically using the standard Windows Open File Dialog.

The check-box "Display as icon" allows you to display the object as a simple icon instead of a fully graphical object.

This command is very usefull when you want to add some bitmaps around your circuit, like trees or houses, or when you want to add formatted text comments to describe your circuit.


Circuit properties

Lane syntax

The track section lanes are described using a specific syntax in the track palette editor lane edit field :

The general lane description is either

- an array of points coordinates in library units separated by any kind of separators except points (.) which are decimal separator

- a track section function followed by a set of attributes

There is one line of lane description per lane (example : 2 lanes in the picture above).

The track section lane coordinate system is defined from left to right (X axis) and from top to bottom (Y axis). Lane coordinates are always given in library units in the track coordinate system.

The lane description can begin with the optional fields “L, length” where length is the lane length in library units. UR30 calculates automatically the lane from its definition when these optional fields are not specified.

Example :

L, 40, squiggle,4,11.5,10

Draws a squiggle lane (see below). Its length is forced to 40 cm (assumes the library units is “cm” here) instead of the length calculated by UR30.

Lane syntaxes are detailed below

Standard lane

Syntax : start point, end point.

The start point is the distance from the track section top to the beginning of the lane on the left track section side.

The end point is the distance from the track section top to the end of the lane on the right track section side.

UR30 automatically manages lane shape according to the track shape.

UR30 will draw a line for a rectangle shape, an arc for a curve track section or a squiggle for a squiggle track section.

Refer to the list of track section shapes for further details about track shapes.

Free hand lane

Syntax : array of points in shape coordinates and library units

The points are given in library units.

UR30 automatically attaches lane segments when they are close enough. In this example, there are 4 lane segments automatically grouped by UR30 in 2 complex track section lanes.

Example of the passer pit track section (2 lanes) :

4, 4

0,4,6,4,30,-3.7 -> green lane

11.5, 11.5

0,11.5,6,11.5,30,19.3 -> yellow lane

Here there are 2 lane lengths per lane because each lane divided in 2 sub-lanes.

Example of the cross track section (4 lanes) :

L,35.0,(0, 4.0)(35.0, 4.0)

L,35.0,(0, 11.5)(35.0, 11.5)

L,43.0,(11.5, -20.0)(11.5, 23.0)

L,43.0,(19.0, -20.0)(19.0, 23.0)

Chicane lane

Syntax : chicane, distance, height, strength

Attributes :

- distance : distance from the track section top to the lane beginning and end points on track section left & right sides. In library units

- height : specifies how depth is the chicane. A value of 0 is equivalent to a straight line. In library units

- strength : specifies how smooth is the lane. If this value is 0, then the lane will be straight

Example of this track section (2 lanes) :

chicane,4,3,10 -> green lane

chicane,11.5,-3,10 -> red lane

Squiggle lane

Syntax : squiggle, left distance, right distance, strength

Attributes :

- left distance : distance from the track section top to the lane beginning on track section left side. In library units

- right distance : distance from the track section top to the lane end on track section right side. In library units

- strength : specifies how tied is the lane. If this value is 0, then the lane will be straight

Example of this track section (2 lanes) :

squiggle,4,11.5,10 -> green lane

squiggle,11.5,4,10 -> red lane


Library Editor

The library editor is a graphical tool allowing library file edition.

This toll is available from the track section selection palett. Click on the track section palett bottom button [image] to make the editor visible or not.

Library zone :

The top section of the dialogue concerns library information.

Name : specify the library complete name in this edit box

Scale : track library scale

Units : unit used to define track dimension attributes like the track width or default border. This field is enabled when the library is empty (just created or emptied).

File name : file name of the text file containing track section definitions. This file is stored in folder “library” in Ultimate Racer installation directory.

Save button :save library with all track section changes

New button : creates a new empty library

Track section template zone :

Displays current track section templates with its attributes. The track template is zoomed in the middle of the dialogue.

Add : creates a new empty rectangle track section template. The new template is automatically added into the palett.

Duplicate : duplicates current selected track section template. The new template is automatically added into the palett.

Delete : deletes selected track section template. The template is automatically removed from the palett.

Up & down : move up and down the track template within the track template list.

Reference : record here the track section template reference. The reference must be unique for a track section in a library.

Full name : track full name

Shape : track section definition. Refer to shape definition for further details about track section description syntax.

Texture : list of textures applied on a track from the background to the foreground. Refer to texture definition for the texture syntax description. Mappable textures and pictures are described in texture and picture tables.

Lane : list of track section template lane. Syntax detailed in lane syntax page.

Notes : miscellaneous about the track section template.


Load library

Load Track Library command

This command is used to load a new track library.

The dialog displays the list of available track libraries.

Track libraries are text files describing all library track characteristics. These text files are always saved in directory "Library" under the UR30 directory where the software is installed.

To load a library, select it in the list, click on "Load" button. The loaded library will replace the previous track library.


Object property dialogue

Properties command

Use this command to display selected object or circuit properties.

For tracks, this command displays the circuit attribute dialogue.

For text, this command displays the text attribute dialogue.

For standard objects such as Line, Rectangle, Round Rectangle, Ellipse and Polygon, this command displays following dialogue :

Here you can specify the object border width or if it is filled or not.

Object position are given in document units as selected in the document property dialogue. The X coordinates are measured from left to right. The Y coordinates are measured from top to bottom.

The frame tab setups the object frame color.

The fill tab setups the object fill color.

Example of green filled rectangle with a 2 points weight red frame.


OLE links

Links command

This command opens a dialog where all OLE file created object links are displayed. Very handy to see if some links are broken due to the modification of source files.


Circuit properties

Texture picture table

List of available picture textures to map on track sections.

Picture name | Picture
ARBorder |
ARCross1 |
ARLapCounter1 |
ARLapCounter1 |
ARStripe |
CABorder2 |
CABorder3 |
CABorder6 |
CABorder7 |
CABorder10 |
NIBorder1 |
NIBorder2 |
NIBorder3 |
NIBorder4 |
NIBorder5 |
NICrossOver |
SCBorder1 |
SCBorder2 |
SCBorder3 |
SCLapCounter |
SCLeadIn |
SCLeadOut |
SCPower |
SCRMS |
SCRampUp1 |


Preference dialogue

Preferences command

Use this command to display the Document properties dialog :

This dialogue setups document main properties :

- track display settings

- document size

- grid settings

- paper color, opens the color picker tab to choose document background color

Track display settings :

Show/hide track delimiters. Track delimiters separate each track one from each other :

Show/hide OLE object rectangles. These rectangles are linked to OLE objects and display their real location.

Show/hide track references :

Show/hide track layer : hide all tracks, keep other objects visible.

Show/hide object layer : hide objects except tracks and borders.

Show/hide track direction :

Show/hide attaches between the track sections. Green circle when track are attached, red when not attached. Caution : a circuit length counts all track sections attached together.

Show/hide lane color :

Show/hide track name, i.e. display or not the track name below the track. The font color used is the object fill color.

Select the way the track are displayed. UR30 allows two ways for track display : colored and wired :


Standard objects

Room objects

Room objects define a reference shapes used to make the track layout fit in.

UR30 allows following room objects :

A room object is resized by its handles. Its side sizes are displayed in the current selected units (either Empire or metric).

.

R Room
L Room
M Room
T Room


Scale object

Scale Object command

Use this command to insert a scale object in the current view.

The scale object displays the distance between its 2 extremeties :

- distance between the 2 extremeties in view units

- lane length between the 2 extremities

In this example :

- the distance between the 2 extremities is 75.6 cm

- the blue lane length is 8.39 cm and the yellow lane length is 7.92 m

The lane distances depend on the circuit direction (displayed with green arrows here).


Select tool

Select command

Use this command to set the cursor as current tool.

The cursor is the default tool. It is used to select and move objects.

When a track is moved close to another track, this moved track is automatically attached to the other track. On the other hand, when a track attached to a circuit is moved with the Cursor, it automatically detached from the circuit.

To move the track and attached circuit, use the move tool instead of the cursor tool.

Move command

Use this command to set the hand as current tool.

The hand is used to select and move track with attached circuit. Its behaviour with the other objects is the same as the cursor tool..

When a track is moved close to another track, this moved track is automatically attached to the other track.

When a track attached to a circuit is moved with the hand, the whole attached circuit is moved with the track.


Circuit properties

Shape syntax

The track section shapes are described using a specific syntax in the track palette editor shape edit field :

The general shape description is either

- an array of points coordinates in library units separated by any kind of separators except points (.) which are decimal separator

- a track section function followed by a set of attributes

The track section shape coordinate system is defined from left to right (X axis) and from top to bottom (Y axis). Shape coordinates are always given in library units.

These shape parameters are detailed below

Standard rectangle

syntax : track section width, track section length in library units.

Example :

15.5;35 with a library units in cm defines a 15.5 x 35 cm rectangle track section

Standard curve

syntax : Curve, inner radius in lib unit, track section width in lib unit, track section angle in degrees

Example :

curve, 37.3, 15.5, 22.5

defines a 22.5° curve track with a lib unit in cm section. Its width is 15.5 cm and its inner radius is 37.3 cm.

Squiggle

syntax : squiggle, track width, track length, track height, squiggle strength

The track length is the left to right length of the track in lib units.

The track height is the distance from a side track bottom to the same track top. This value can be either positive or negative.

The squiggle strength controls how tied is the squiggle. Higher is value, more tied it is.

Example :

squiggle,15.5,50.0,-10.0,20.0

Cross

syntax : cross, track width, track length, X offset, Y offset

X offset and Y offset defines the red circled point on the left example.

Example :

. cross,15.5,35,3.3,3.3

Free shape

syntax : array of points in shape coordinate system

A free shape is an array of point in library units

Example :

(0, 0)(35.0, 0)(35.0, 15.5)(24.1, 26.4)(4.0, 15.5)(0, 15.5)

This example uses parenthesis to separate points to make the shape definition more readable.

Hairpin

syntax : hairpin, hairpin width, hairpin length

The hairpin length corresponds to the horizontal side length of the hairpin. The circle part of the hairpin has a radius therefore a length equal to half on the hairpin width.

Example :

hairpin, 31, 35.0


Standard objects

Line command

Use this command to set the line as current tool.

This tool is used to create a line.

Rectangle command

Use this command to set the rectangle as current tool.

This tool is used to create a rectangle.

Round Rectangle command

Use this command to set the round rectangle as current tool.

This tool is used to create a round rectangle.

Ellipse command

Use this command to set the ellipse as current tool.

This tool is used to create an ellipse.

Polygon command

Use this command to set the polygon as current tool.

This tool is used to create a polygon.

Picture command

Opens a picture file selection dialog. The picture object is created when the picture file has been selected.

Text command

Use this command to set the text as current tool.

This tool is used to create a text.


Status Bar

The status bar is displayed at the bottom of the Ultimate Racer window. To display or hide the status bar, use the Status Bar command in the View menu.

The left area of the status bar describes actions of menu items as you use the arrow keys to navigate through menus. This area similarly shows messages that describe the actions of toolbar buttons as you press them, before releasing them. If after viewing the description of the toolbar button command you wish not to execute the command, then release the mouse button while the pointer is off the toolbar button.

The left area displayes the selected track reference too.

The next right area indicates the mouse location in document selected units :

The following right area indicates the selection rectangle size and the size of its diagonal :

The diagonal is usefull to measure the distance between two screen points, eg. The distnace between two tracks or furniture sizes.

The following right area indicates the current zoom factor in % :

The last right areas of the status bar indicate which of the following keys are latched down:

Indicator Description

CAP The Caps Lock key is latched down.

NUM The Num Lock key is latched down.

SCRL The Scroll Lock key is latched down.


Object property dialogue

Text property dialogue

Use this dialogue to setup text object attributes.

The Font tab displays text object font attributes :

- font name

- font style

- font size

- special font effects : striked out or under lined

- text alignment : left, right or centered

- font script

The general tab setups text object main attributes as described in the standard shape object attributes.

The font, frame and fill color tabs are used to setup text object corresponding attributes with corresponding color picker dialogues;


Circuit properties

Texture syntax

The edit box Texture is used to describe how textures are applied on a track :

UR30 manages following track section textures :

- track section filling texture

- rectangle chess texture

- curve chess texture

- bitmap rectangle texture

- bitmap curve texture

There is one line per texture applied on the track section.

The textures are applied in the same order than their description order. The first texture is applied first, then the second one, and so on…

● Track section filling texture

Syntax : two syntaxes available :

F, texture bitmap file name

F, <red>, <green>, <blue>

The track section is filled with a texture bitmap or by a set of RGB colors. UR30 allows the use of texture bitmap (bmp, jpg) available in folder .\media\textures. The textures folder :

The red, green and blue values are included into the range from 0 to 255. The F filling texture has the highest priority to the other textures it's the first track section applied texture.

Examples :

F, IDB_TRACK_WOOD : fills this track with the IDB_TRACK_WOOD texture. There should be a texture file IDB_TRACK_WOOD.bmp or IDB_TRACK_WOOD.jpg available in .\media\textures folder, otherwise UR30 uses the default black plastic texture.

F, 255, 255, 255 : fills this track section in white.

● Rectangle chess texture

Applies a bicolor bitmap chess texture on the track. Useful to create track section with colored starting lines or colored lane separator lanes.

Syntax : c, r, color1, color2, horizontal number of cells, vertical number of cells, horizontal size of cell, vertical size of cells, left, top, right, bottom (in shape reference)

- c : stands for “chess” texture

- r : rectangle – mandatory

- color1 & color2 : texture bitmap file names (see texture bitmap folder above). At list one color is mandatory.

- horizontal number of cells OR horizontal size of cells : number of horizontal cell OR size of horizontal cells in library units

- number of vertical cells OR size of vertical cell size in library units

- left, top, right, bottom : texture location in shape coordinates, in library units

● Curve chess texture

Applies a bicolor chess texture on the track. Useful to create track section with colored starting lines or colored lane separator lanes.

Syntax : c, c, color1, color2, horizontal number of cells, vertical number of cells, horizontal size of cell, vertical size of cells, start angle, inner radius, end angle, outer radius (in shape reference)

- c : stands for “chess” texture

- c : curve – mandatory

- color1 & color2 : texture bitmap file names (see texture bitmap folder above). At list one color is mandatory.

- horizontal number of cells

- vertical number of cells

- size of horizontal cells in library units (exclusive with number of horizontal cells)

- size of vertical cells in library units (exclusive with number of vertical cells)

- start : angle in degrees from where the texture starts (optional)

- curve chess texture texture inner radius

- end : angle in degrees from where the texture ends (optional)

- curve chess texture outer radius in library units

● Rectangle picture texture

Applies a rectangle metafile texture on the track section. This texture is useful to apply sophisticated drawings on a track section or a border.

UR30 allows the use of following picture described in the .\media\folder

Syntax : e, rectangle, texture name, x direction, y direction, left, top, right, bottom (in shape reference)

- e : stands for metafile texture (can be replaced either by "w" or "b" for reverse compatibility reasons)

- metafile texture name (wmf or emf extension) : stored in .\media\textures.

- r : rectangle – mandatory

- x and y direction : 0 or 1. 1 horizontally (x) or vertically (y) inverts the mapped texture

- left, top, right, bottom : rectangle in which the mapped picture will be stretched or compressed if necessary. The rectangle coordinates are given relatively to the shape coordinates in library units

● Curve picture texture

Maps a metafile texture on a curve track section. This texture is useful to apply sophisticated drawings on a track section or a border.

Syntax : e, texture name, curve, x direction, y direction, angle, radius, width

- e : stands for metafile texture (can be replaced either by "w" or "b" for reverse compatibility reasons)

- metafile texture name (wmf or emf extension) : stored in .\media\textures

- c : curve : the picture will be curved to fit the mapping parameters – mandatory

- x and y direction : 0 or 1. 1 horizontally (x) or vertically (y) inverts the mapped texture

- angle : angle to curve the picture in degrees

- radius : inner radius of the curved picture in library units

- width : curved picture width in library units

The picture will be curved to fit the crown defined by the specified angle, its inner radius and its width.


Circuit properties

Texture

UR30 allows to use any kind of texture bitmap (bmp, jpg) and metafile (emf) available in folder .\media\textures. The textures folder :


Toolbar

The toolbar is displayed across the top of the application window, below the menu bar. The toolbar provides quick mouse access to many tools used in Ultimate Racer;

To hide or display the toolbar, click Toolbar from the View menu.

This docking toolbar can be dragged onto or off this client area, and arranged according to the space available.

Use this command to create a new document in Ultimate Racer

Opens an existing document.

Use this command to save the active document to its current name and directory.

Prints current view.

Switch to the race management system

Use this command to remove the currently selected objects from the document and put it on the clipboard.

Use this command to copy selected objects onto the clipboard.

Use this command to insert a copy of the clipboard contents in UR30.

Select "Cursor tool"

Select "Move tool"

Use this command to reverse the last editing action, if possible.

Reverse previous undo operation.

Show/hide track layer

Show/hide object layer

Show/hide track sections and circuit direction

Show/hide minor grid as descrbed in the grid settings dialogue

Opens the track stock management dialog.

Inserts the track section palette selected track section just after the current selected track section.

Changes selected track section direction

Flips selected track section

Replaces selected track section by the track section currently selected in the track section palette

Deletes selected track sections and attaches together the track sections it was attached to

Moves selected track section just after its following track section


Track angle dialogue

Track Angle command

Change the current selected track angle. When selected track is attached to a circuit, attached tracks are rotated according to the new track angle.

The track section angle is in the range of 0° to 360°.

Track angle can also be changed manually by clicking on its Rotate handle, then moving the mouse, as shown below :


Basic track operations

Basic track section operations

Operation | Status before the operation | After the operation
Flip track section | Before the flip operation : | After the flip operation :
Delete track section | Before deletion : | After deletion operation : The track sections the deleted track was attached to have been re-attached together.
Replace track section | Select the track section to be replaced : | Track section replaced : The track section 50510 has been replaced by the palette selected track 50500.
Change track section direction | Previous direction : | After direction change :
Insert track section | Before insertion : | A crossover has been inserted AFTER previous selection. The direction decides on which SIDE of the selected track the new track will be inserted.
Rotation | Before rotation : | The selected track section has been rotated manually with its rotation handle.
Move Track | Before move : | After track section move :


Track palette

Track section Palette

The track section palette displays all loaded library track section templates.

The selected track section is used by several track section operations (replace, insert…).

Double click on the selection to add a track section into the editor window. If a track section is selected in the editor window, the new track section is inserted after the current selection.

A track section can be dragged on dropped from the palette to the editor window :

- press the left mouse button on the chosen track section

- move the mouse where you want to place it

- release the mouse button to place the track section

The selection can be modified from the editor with <page up> and <page down> keys.

The bottom button [image] shows/hides the track template editor.

Trick : you can add several track sections at the same time if you press a number key.

Example : select straight track section #50510, press “5”. 5 track sections are automatically inserted into the current track after current selected track section.

UR30 editor is automatically scrolled to let current selected track section visible.

Pressing “0” adds 10 track sections.


Track stockk dialogue

Track Stock command

This command is used to manage your own track stocks.

In the Track Stock Dialog, you can update the number of track you have :

The list displays all track types defined in current loaded library.

These values are used in the Circuit Property Dialog to calculate the number of new tracks your require to build the circuit of your dreams, and its overhead cost (not so dreamy…).

Click on the “Print” button to open the track stocks into a web browser window for printing.


Editor Web publication

WEB Publish

Publish a set of selected editor reports on the web.

Click on the reports you want to publish, then click on “OK” to publish them. The report name is displayed between the parenthesis.

UR30 needs following information to FTP reports on a WEB site :

- your personal home page web site or the site name you use to publish your personal data

- the directory you want to ftp UR30 reports

- your ftp login

- its associated password

The web report preparation may take a while according to the selection size. When the preparation is completed, UR30 displays the ftp publish dialogue :

If the publication fails, check carefully the ftp access information :

- server name (check with your provider)

- directory the files will put in

- your web login name

- your web login password

Refer to following help page to learn how to customize reports.

WEB report name | Description
Track properties | Current track layout with used track sections and stocks


Zoom dialogue

Zoom command

Use this command to change the document zoom factor.

Five default zoom factors are available :

- 150%

- 100%

- 75%

- 50%

- 25%

Choose « Other… » to select another zoom :

The zoom can be change interactively by using the mouse wheel. The current zoom factor is always displayed in the status bar.

Current zoom can be changed interactively with the mouse wheel.

"Fit to screen" makes the current track layout fits the editor window.

"Zoom selection" activates the zoom selection tool. This tool allows to select a part of the track layout to make it fit the whole editor window.


Setup race pane

Customize the race view

Overview

Procedure

Property and color table

Design guidelines

Overview

UR30 allows the customization of its race screen :

Example 1 :

Example 2 :

Procedure

The procedure is identical for race panes and header panes.

Race pane and header pane definition are saved in UR30 installation folder ./media/racing. These files are UR30 files. They can be created and modified with UR30 track layout editor.

UR30 looks the definition files into this folder. It detects automatically any changes in this folder and updates the race pane selection view accordingly.

The header pane files start with header, the other files are considered as race pane definition.

To create a new race pane :

- switch to the track layout editor

- open the race pane you want to customize

- save (save as) it in the ./media/racing folder. Header definition files start always with header and the race panes with any other name

- and now : customize!!!

The race panes are designed with UR30 standard objects :

- rectangle

- ellipse

- text

- picture

- round rectangle

- polygons

- lines

UR30 race view does not care of track sections nor borders. Always use standard objects.

The size of a race pane is equal to the smallest rectangle bounded all it objects.

Use the object Racing pane section of the Property dialog to define each object behaviour during a race :

Property : defines how the object will behave during a race (refer to the Property table below)

Color : defines the object color when it will be attached to a lane (refer to the Color table below)

Configure property and color for each object of the race pane.

Save changes before testing the race pane.

Swap to the race management system to preview the race pane. Select it from the race pane selection view.

Select it to preview the race pane. Start a race to have preview the final race screen.

Property and color tables

Property table :

Property | Description
<default> | no racing properties
AvgLap | driver average speed
AvgSpeed | displays driver average speed. Use lane color when specified
BadStart | displayed when the driver makes a bad start
BestLap | driver best lap
BestSpeed | driver best speed
DetectionLed | switched on/off when a slot car is detected on this lane
DiffLaps | difference between the best driver and current driver
Distance | distance run by the slot car since the beginning of the race
DriverPicture | displays driver picture
Duration | total ellapsed racing time for the driver/slot car crew
ERSFuel | slot car fuel level
ERSPower | driver powered supply measured by ERS
FirstLap | visible when this driver has done the best lap
FirstPosition | visible when this driver is leading the race
FirstSpeed | visible when this driver has made the race best speed
HeaderClock | displays race clock and status
HeaderGoStop | button to start & stop a race
HeaderGreenLight | header green lights
HeaderLightOff | header off lights
HeaderOrangeLight | header orange light
HeaderRace | displays the race attributes
HeaderRaceLimit | race limit : either time, laps or empty
HeaderRaceType | race type
HeaderRedLight | header red lights
HeaderSegment | current segment number
HeaderSuspend | button to suspend & resume a race segment
HeaderTotalSegment | total number of segments
LaneLength | displays lane length
Laps | number of laps run by the driver
LastLap | driver last lap
LastSpeed | last driver recorded speed
Position | driver position in the race
RaceLimit | race limit : either time, laps or empty
Road | used to animate the SlotCarBitmap sprite during a race
SecondSpeed | visible when this driver has made the second best race speed
SlotCar | slot car name
SlotCarBitmap | animated sprite showing the slot car position within the race. Used with a road object.
SlotCarNo | number of the slot car running on the current lane
SlotCarPicture | displays slotcar picture
Nickname | displays driver Nickname

Color table :

Color | Description
<default> | Keep color as it was designed
FlatButton | The button is displayed in a flat mode
InvertTextLaneColor | The label object has a background color identical as the lane color, the color color is adapted accordingly
LaneColor | The object had the same color than the lane
LanePastel | The object had the same color than the lane with pastel transparency
TextLaneColor | The label object has the same font color than the lane

Design guidelines

Couple of guidelines to help you in designing new race screens (header + race).

Reuse existing definition files to design new header or race pane. You'll spare time.

Copy and paste objects from existing definition files to avoid reconfiguration of object Property and Color attributes.

Use track layout grid feature to align objects on the grid. You can use the Align object command to help you in the race pane design.

Normalize file definition names to retrieve them quickly in the hardware pane selection views. Eg : HeaderLaPointe.scc & LaPointe.scc (means the header and its associated race pane).

The panes are automatically mapped to the race screen available space. Use a zoom factor of approximatively 110% in the track layout editor to have a race pane preview size close from its race screen final display.

Type "vbsc" in the track layout editor view to convert old *.vb race pane definition files into UR30 race pane definition files.

Always use standard objects. The most usefull objects are : text, rectangle and picture.


Backup database

Fuel/refuel management

Enable or disable the fuel management from the race setting dialog.

A slot car fuel consumption is proportional the lap average duration. Thus the slot car fuel decreases each time a slot car completes a lap. The slot car average consumption is setup in the slot car pane. Define here the average laps a slot car can run with a full tank at an average speed.

Define also in the slot car pane pane the average time needed to refuel (in seconds).

The slot car refueling starts :

- either by pressing a keyboard key (A for lane 1, B for lane 2, C for lane 3 and so on...)

- either by putting the slot car on an external sensor as defined in the lane setup pane (refuel sensor)

The "reference average speed" is the slot car average speed. This parameter is calculated by UR30 from the slot car lap statistics. The slot car consumption uses this parameter as a reference to compute lap fuel consumption.

The slot car consumes more when a lap average speed is above this reference than when it's below.


Racer help menu

Help menu commands

The Help menu offers the following commands, which provide you assistance with this application:

Help on topic

Opens help on current view

Contents

Opens the on line help starting from the TOC page

Index

Use this command to display the opening screen of Help. From the opening screen, you can jump to step-by-step instructions for using UR30 and various types of reference information.

Once you open Help, you can click the Contents button whenever you want to return to the opening screen.

Tutorial

Opens track layout tutorial

Tip of the day

Opens the tip of the day dialogue

Wizards

Opens race management system wizards

About UR30…

Use this command to display the copyright notice and version number of your copy of UR30.


History

Displays the last race laps.

Race table

Displays the last race laps with turn number, driver and slot car, lap duration and speed.

Click twice on a column to sort all laps. Ex : click twice on speed column to sort laps by speed.

An old race can be displayed by selecting it first in the database pane.

Race chart

Graphycally summarizes the last race.

X axis corresponds to turn number.

Y axis corresponds to the lap duration.

Minimal lap duration is parametrized in the Hardware pane.

Max lap duration displayed is 3 times the minimal lap duration.

Driver statistics

This screen snapshot shows one of the worst race played by Clacbec and Ricky Torpedo. This is the driver statistics of the selected displayed race.

Driver racing profile

The driver racing profile displays the lane power supplied by the driver on its slot car during its race. Note : this chart needs an additional special hardware to measure power supplied to the slot car (ERS device).

Race list table

The race list table displays of circuit races. Click twice on a race line to display its statistics. Note : UR30 stores only races with permanent drivers and permanent slot cars. Any race with a temporary slot car or a temporary driver is always removed from the databse.


Race view

The race view

The race view displays the race status. There is one race pane per crew :

The crew race stats are displayed in the crew race pane, with the driver name, his slotcar, the number of laps made by the leader of the race, and the lap differences with the race leader.

Click on the [image] button to cancel the race. This button can be handled by an external event.

Click on the [image] button to stop/resume the race. Click on this button to resume a race after a segment change during a race per segments. This button can be handled by an external event.

The race name and type id displayed below the clock. The race parameters must have been setup in the race setup view or from the tournament view.

A bad start is thresholded when a driver races over the sensor before the lights switch into green. The race can be aborted or a penalty can be applied against the faulty driver. This behavious is setup in the race setup view.

The light switch procedure is setup from the circuit configuration pane.

Crew with the best average speed per lap

Crew with the second best average speed per lap

Crew leading the race

You can simulate lap detection without sensors by pressing numerical keys. Key “1” corresponds to a sensor detection on lane 1, key “2” simulates a detection on lane 2, and so on until key “8”, simulating a sensor detection on lane 8.

The race screen views are selected in the hardware race pane selection views. Both can be edited with the track layout editor.


Race Management System

The race management system is accessible thru panes. These panes can be selected by clicking on the button bar on the left side of the main pane. UR30 is based on a set of panes allowing complete circuit parametrization and race follow up. These panes display several views of the race. The panes are opend thru the main menu or thru the buttons on the main window bottom.

Click on buttons to display following panes :

  • Race preparation
  • Top 50
  • Tournament
  • Drivers
  • Slot cars
  • Race history
  • Circuit configuration

Click on Start button to run a race. Race are setup in Race setup pane or in Tournament pane. Race parameters (duration, practice...) are setup in the Tournament preparation pane.

Click on Help to open pane help file.

Click on Print button to open any pane related report. The print report is always displays in html format, so it can be published on a web site. All report templates are located in sub folder Reports. All prints are created in sub folder dump before being printed.

Click on Exit button to quit Utlimate Racer 3.0.


Setup race pane

Race settings dialog

Use this dialog to setup race parameters.

Race type : select here the race you want to play. Following modes are available :

- race to the line : the race ends when one of the racer has completed the specified number of laps

- time limited : the race ends after specified minute duration

- lap limited : the race ends when all racers have completed all specified number of laps

- practice : never ending race. The race manager just counts laps.

- staggered : staggered race system. Specify the duration of each segments (in minutes) and the number of rotations.

- lap taggered : staggered race system. Specify the number of laps of each segments and the number of rotations.

2 kind of races available : friendly vs official. This can be used to make seasonal statistics. Experience shows the stats are always better in official races...

Race class : select the race class. The race class is used to group races.

Nb laps : number of laps setup used by "race to the line", "lap limited" and "lap taggered" race types.

Race duration : race duration in minutes. Format : mm:ss. Used by " time limited" and "staggered" race types.

Rotation : number of staggered rounds for staggered races.

Intersegment : number of ellapsed seconds between two staggered race segments. This parameter replaces a click on stop/resume race button by a timer.

Fuel management : click on the "Fuel management" check box to enable/disable the fuel management. The fuel management is described here.

Cut power - out of fuel : cuts lane supply when the slot car is out of fuel. Works only with appropriate hardware.

Bad start penalties / laps : number of uncounted laps if the driver makes a bad start - means start the race before the lights became green.

Bad start penalties / seconds : cuts lane supply during specified number of seconds when the driver makes a bad start. Works only with appropriate hardware.

Race description : type here any additional information about the race

Point attribution : the point attribution is used to score the race. Points are given to :

- best lap

- best position

- best lap average speed

- lap. Note number of point per lap. Only "position 1" is managed as the other do not make any sense.

Example :

3 points for the race winner corresponds to 3 points / Best position – 1.

2 points for the best lap average speed corresponds to 2 points / Best speed – 1.

1 point for the second best lap average speed corresponds to 1 point / Best speed – 2.


Backup database

Click on “Backup” to save current database. The database is duplicated in the same directory than the UR30 database, with the same name prefix (SlotCar30) and the backup date as suffix.

SlotCar30_Last.mdb is a database created each time UR30 is closed. That’s a backup of the database just before quitting UR30.

Click on “Restore” to restore the selected database backup. Restart UR30 after the restore to have the changes taken into account.

Click on “Delete” to delete a database backup.


DS200/DS300

DS sensor configuration

Specify here the serial port configuration for DS200 or DS300 devices.

Use this pane to check the DS behaves correctly.

Select the DS200/DS300 the DS is connected to, then enable it.

UR displays the DS detected event in the detected events edit box.


Circuit properties

General circuit attributes

Specify here the circuit general attributes.

The circuit length unit is the unit used for the whole circuit distances : lane length, race distance statistics.

The speed unit is used to display all lap, driver and slot car statistics. UR30 stores all length in meters and duration in seconds. Thus these length units are used to convert lap stats from current unit into meters, then back from meters to circuit units when stats are displayed.

Lanes is the circuit number of lanes. UR manages 1, 2, 3, 4, 6 or 8 lane circuits. Caution : deleting lanes will delete all statistics attached to these lanes.

Circuit scale is 1:32 by default. This scale factor is used to compute the real scale speed.

Available speed units :

- fps (feet per seconds)

- km/h

- m/s

- mph

These speeds are used by the race pane to display slot car speeds.

km/h and mph use the scale factor. Thus these speeds are real scaled speeds.

m/s and fps do not use the scale factor. These speeds are circuit scaled speeds.

Ex : a slot car races one 20 meter track lane lap in 8 secs. The speeds will be displayed as follow on the race pane :

Scale/speed | m/s | fps | km/h (real scaled) | mph (real scaled)
1:24 | 20 / 8 = 2.5 m/s | 20 / (8 x 0.3048) = 8.2 fps | (20 x 24 x 3600) / (8 x 1000) = 216 km/h | (20 x 24 x 3600) / (8 x 1609.34) = 134 mph
1:32 | 20 / 8 = 2.5 m/s | 20 / (8 x 0.3048) = 8.2 fps | (20 x 32 x 3600) / (8 x 1000) = 288 km/h | (20 x 32 x 3600) / (8 x 1609.34) = 179 mph
1:43 | 20 / 8 = 2.5 m/s | 20 / (8 x 0.3048) = 8.2 fps | (20 x 43 x 3600) / (8 x 1000) = 387 km/h | (20 x 43 x 3600) / (8 x 1609.34) = 240 mph

The speed scale is a rate applied on slot car speed to make them closer to the real speed.

Example a speed scale of 70% will multiply all displayed speeds by 0.7. The default value (0) is not managed, thus no speed scale rate applied.

The min lap is a threshold specific to the circuit. That’s the minimal lap duration in milliseconds acceptable for a circuit. Here, 5000 means that UR30 will not manage lap those duration is lower than 5 seconds (5 seconds = 5000 ms). All durations below this threshold will be considered as cheated duration, thus not managed.

“Timing” is the light startup sequence (ex : red-green, or red-orange-green).

Green, orange and red light parameters are used to switch on/off external lights from the parallel port during the race startup sequence.

Flag man allows to switch on/off a flag man model at the end of a race.

Pause/resume button manages an external input equivalent to [image] button

Start/end button manages an external input equivalent to the [image] button.Note : the start/end external input works from the race pane or from the race setup view.

Notes is a free of use edit box where you can put any comments about your circuit.


Lane setup

Used to configure lane sensors, lane switches and lane external lights.

The lane length must be specified in the length units chosen for the circuit (general parameters).

The other parameters are described in the pane below the dialogue edit boxes.

For each parameter, following information are required :

- the hardware used to detect or switch the event. Usually the parallel port

- the pin number. 2 -> 9 for output pins, pin 10, 11, 12, 13, and 15 for inputs

- enabled check box allows or not the use of this hardware configuration


Circuit picture

Click on the “…” button to open the selection dialogue. You can select any kind of graphic file (bmp, gif, jpeg) and scc file.

Choosing scc file links directly the current circuit to the editor. Thus editor changes will be immediately reflected here.


Webcam

Webcam/external event configuration

Specify here the webcam/external event setup.

Use this pane to check a webcam motion detector or an external event sender behaves correctly. The detected events are displayed in the edit window.

Ur30 is provided with URWebCam.exe tool (same folder as UR30 executable file). It's used like any command line :

URWebCam.exe <arguments>

Arguments :

lane1, lane2, ... lane8 : thresholds a lap detection on lane 1, 2... up to 8.

Example : URWebCam lane4 threshold a lap detection on lane 4

startrefuel1, startrefuel2, ... startrefuel8 : thresholds a refuel start on lane 1, 2... up to 8.

Example : URWebCam startrefuel2 thresholds a refuel beginning on lane 2

endrefuel1, endrefuel2, ... endrefuel8 : thresholds a refuel end on lane 1, 2... up to 8.

Example : URWebCam endrefuel1 stops refueling on lane 1

.


Setup race pane

Header and race pane selection

UR30 selects the best matching header and race pane according to the screen size.

The header pane is displayed above the racing panes in the race screen.

Nevertheless UR30 allows to choose the header and pane.

To select the header or a race pane, select its definition file from corresponding combo box :

he header panes definition files are located in folder /media/racing of UR30 installation folder. They have the extension “.scc” and are prefixed with "Header". All other scc folder files are managed as race panes. The header and panes are customizable with UR30 track layout editor.

Click twice in the header pane or a race pane to open its scc file in the track layout editor.

Refer to How to customize the race view for further details.


Webcam

RMS event configuration

Specify here the RMS event setup.

Specicify here the RMS serial port it's plugged in, then if it's enabled for ur30.

Lane detection flashes when the RMS detects corresponding event (black gray <-> green).

.


Serial port

Serial port configuration

Specify here the serial port configuration attributes.

Use this pane to check the serial port behaves correctly : the connected input pin status must change from gray (low) to green (high) when an event is detected. The pin status must change when you click on an output pin.

Pins allows to select the number of DB serial port connector.

The “Enabled” check box must be checked to use the serial port.

The serial port usually uses port address 0x3F8 (default). You can cross check this setup with the control panel system properties tool. Check in the device manager your serial port address :

The serial port address is first address of its resource setting.

.


Configure sound

Specify in the edit box the wav file to play when the event is thresholded.

Click on the button [image] to find and select a wave file with the standard file open dialogue.

Click on button [image] to play it.

This event sound will be played only if the “Enabled” check box is checked.

The event thresholding the sound is always described below its wav file path access.


WEB publish

WEB setup

Configure in this pane the web access to publish UR30 reports on the web. UR30 ftps the report on the web. It needs following information :

- your personal home page web site or the site name you use to publish your personal data

- the directory you want to ftp UR30 reports

- your ftp login

- its associated password

This information is available to the provider hosting your web site.

UR30 uses this information to WEB publish the reports.


Tournament designer

The tournament designer feature allows you to design your own tournament, with the bracket crew selection and bracket transtion conditions. With the tournament designer feature you can either design a single bracket based tournament or a more sophisticated one with several brackets including qualification and double elimination rules.

A tournament design is saved in a text file structured in a section/key manner (like the ini files) :

<tournament complete detailed description> Usually used to describes the tournament rules.

[section]

key1=value

key2=value

...

[section2]

key1=value

key2=value

and so on...

A tournament description file always starts with a [tournament] section followed by one or more [<bracket>] section :

- the [tournament] section sets the tournament parameters and its defaults.

- a [<bracket name>] section describes a tournament bracket. Its keys may overrides previous tournament keys (example race setting related keys) or previous bracket section keys.

The following list describes the tournament and bracket sections and their key setting rules. Section and key names are not case sensitive.

Tournament text file descriptors are stored in UR folder media/settings.

These text files can be modified with any text editoir, but UR30 also allows to open a small text editor file to edit tournament descriptors :

Descriptor editor :

[tournament]

This mantory section sets the overall tournament settings.

Table of keys :

Key | Optional/Mandatory | Description | Example
Tournament general information
Name | M | Tournament name as it is displayed in the tournament setup dialogues | Aubry's tournament
lanes O Number of lanes required for this tournament. By default : equal to current circuit lane number.

This key allows list and wildcars :

- 1, 2, 3 : means that only lane 1, 2 and 3 are used in this bracket. Assumes the circuit has at least 3 lanes. Otherwise the bracket will use only circuit available lanes. Ex : this setup will make the bracket use lane 1 and 2 on a 2 lane circuit.

- 1, ? : means 2 lanes will be used, but the second lane will be asked for during the tournament preparation.

 4
Tournament race settings - overseeds current race defaults
RaceName | O | Default tournament race names. Set to the current race setting race name if not specified.
RaceClass | O | Default tournament race classes. Set to the current race setting race class if not specified.
RaceType O Default tournament race. Can be :

- LimitedTime

- FirstArrived

- TimeStaggered

- LimitedLap

- LapStaggered

- RaceToLine

These key values are the same as the race settings. Set to the current race setting race name if not specified. Note : Practice default setting is always replaced by LimitedTime.

 LimitedTime
RaceInfo O Race tournament info. Equal to "Tournament race " <date> if not set.

Accept special parameters as follow :

- %m : current month (1-12)

- %d : current day (1-31)

- %y : current year (1900-2050)

 Tournament %m/%d/%y
FuelManagement O yes|y|t|true|n|no|f|false

Same as the default race settings. Set to the current race setting race name if not specified.

yes
LimitedLap O number of race laps.

Set to the current race setting race name if not specified.

10
LimitDuration O segment duration in minutes.

Set to the current race setting race name if not specified.

2
SegRotation O number of staggered race segment rotations.

Set to the current race setting race name if not specified.

1
LapPenalty O lap penalty

Set to the current race setting race name if not specified.

2
Intersegment O intersegment in seconds.

Set to the current race setting race name if not specified.

30
TimePenalty O time penalty in seconds

Set to the current race setting race name if not specified.

25
Score O <BestSpeed|BestLap|BestPosition|Lap,Position,Point>,...

For each score type : position (1 to 8) followed by the score point

Set to the current race setting race name if not specified.

Example :

BestPosition,1,4,BestPosition,2,3,BestSpeed,1,2

Means :

4 pts for the race winner (first best position), 3 pts for the second (second best position) and 2 points for the best average lap speed.

[<bracket name>]

One section is at least mantory. A tournament bracket describes the bracket race crew/driver selection and seeding rules. The <bracket name> is displayed as if in the tournament window.

Table of keys :

Key | Optional/Mandatory | Description | Example
Bracket general information
Name | M | Bracket name as it is displayed in the tournament window. | Aubry's tournament
lanes O Number of lanes required for this bracket. By default : equal to the tournament number of lanes.

This key allows list and wildcars :

- 1, 2, 3 : means that only lane 1, 2 and 3 are used in this bracket. Assumes the circuit has at least 3 lanes. Otherwise the bracket will use only circuit available lanes. Ex : this setup will make the bracket use lane 1 and 2 on a 2 lane circuit.

- 1, ? : means 2 lanes will be used, but the second lane will be asked for during the tournament preparation.

 4
ResetScore O reset tournament driver scores when this bracket starts

yes|y|t|true|n|no|f|false

yes
ResetRace O reset tournament driver number of raced races when this bracket starts

yes|y|t|true|n|no|f|false

yes
Bracket race settings - overseeds current race defaults
RaceName | O | Default tournament race names. Set to the current race setting race name if not specified.
RaceClass | O | Default tournament race classes. Set to the current race setting race class if not specified.
RaceType O Default tournament race. Can be :

- LimitedTime

- FirstArrived

- TimeStaggered

- LimitedLap

- LapStaggered

- RaceToLine

These key values are the same as the race settings. Set to the current race setting race name if not specified. Note : Practice default setting is always replaced by LimitedTime.

 LimitedTime
RaceInfo O Race tournament info. Equal to "Tournament race " <date> if not set.

Accept special parameters as follow :

- %m : current month (1-12)

- %d : current day (1-31)

- %y : current year (1900-2050)

 Tournament %m/%d/%y
FuelManagement O yes|y|t|true|n|no|f|false

Same as the default race settings. Set to the current race setting race name if not specified.

yes
FuelCut O yes|y|t|true|n|no|f|false

Same as the default race settings. Shutdown lane supply when the car is out of fuel.

yes
LimitedLap O number of race laps.

Set to the current race setting race name if not specified.

10
LimitDuration O segment duration in minutes.

Set to the current race setting race name if not specified.

2
SegRotation O number of staggered race segment rotations.

Set to the current race setting race name if not specified.

1
LapPenalty O lap penalty

Set to the current race setting race name if not specified.

2
Intersegment O intersegment in seconds.

Set to the current race setting race name if not specified.

30
TimePenalty O time penalty in seconds

Set to the current race setting race name if not specified.

25
Score O <BestSpeed|BestLap|BestPosition|Lap,Position,Point>,...

For each score type : position (1 to 8) followed by the score point

Set to the current race setting race name if not specified.

Example :

BestPosition,1,4,BestPosition,2,3,BestSpeed,1,2

Means :

4 pts for the race winner (first best position), 3 pts for the second (second best position) and 2 points for the best average lap speed.
Bracket driver selection - specify how drivers are selected to race this bracket
selection M Crew selection rules. Possible values :

- Crew : select all crews from previous bracket. All tournament setup tab selected crews are selected for the first tournament bracket (default)

- DriverSlocar : select all drivers and slot cars from previous bracket, or tournament setup tab for the first bracket. This value is usually used for shared slot car based tournaments.

- Percentage,<percentage>. Percentage of driver elimination from previous bracket. Eg : Percentage,50. Means that 50% of previous bracket driver will be eliminated.

- Absolute,<value>. Number of eliminated drivers from previous bracket. Eg : Absolute,2. Means that 2 drivers from previous driver bracket will be eliminated.

- FinaleElimination : eliminates driver by power of 2 to manage quarter finales, half finales and so on...

- LaneElimination : remove as many drivers as number of lanes at each round

The first bracket "selection" key is always equal to crew (default) or driverSlotcar as specified in the tournament "selection" key.

Drivers are selected by score, then by number of laps (if score are equal), then by best laps, then by best speed.

crew
Seeding - specify how drivers and slot cars race the bracket races
seeding M Define driver and slotcar seeding manner across the races. Defines also race creation rules.

AllCombinaison : all possible combinaisons between number of lanes and selected drivers and slot cars. Caution : ur30 may refuse to create the bracket as the combinaisons is tremendous : d! x s! / (d-l)! x (s-l)! where "d" is the number of drivers, "l" the lane numbers and "s" the slot car number.

CrewLane : each crew race on each lane. Opponents randomly chosen.

CrewAgainstAllCrew: all crew race against all other crews on each lane

FixedSlocarLane: each driver race on each lane, but the slotcar remains attached to one lane. Driver opponents randomly chosen.

DriverLevel : crews are dispatched on race lanes from the best driver to the worst

Descending: crews are dispatched on race lanes from the best driver to the worst. Best driver on the first race lane, second driver and the first race lane. When the last race first lane is set, the folloxing crew is set on the first race second lane, and son on...

SharedDriverSlotcars: all drivers run on each slot car on each lane. Competitors randomly chosen.

Seedind manners sort drivers by score, then by number of laps (if score are equal), then by best laps, then by best speed.


Tournament

Tournament heats

Displays tournament heats, their status and scores.

Click twice on a heat to start corresponding race, or select the heat then click on the start race button [image]..


Tournament

Tournament restore

UR30 saves a tournament status each time one of its heats is finished. This dialog is used to restore a previously stored tournament.


Tournament

Tournament score

Displays driver scores and ran races.

Click on column titles to sort drivers by name, score, number of ran races or points per race.

Scores are calculated according to the tournament race score settings or default race scores. Refer to the tournament designer for further details.


Tournament

Tournament setting

This pane is used to select driver/slot car crews and the tournament type.

The left side of the pane displays all database slot cars and drivers. The crews are built by dragging and dropping drivers and slot cars into the tournament crew grid. The crews are removed by dragging them out of the crew grid.

Two buttons allow to add set of selected drivers and slot cars directly into the crew grid.

The right side of the pane displays the list of available tournament. The tournament rules are displayed in the edit box below. You can design as many tournaments as you want with your own rules.

Refer to the tournament designer for further details.


Tip of the day

Cheat codes

Cheat codes are hidden features of UR30. They have been added "on demand" by fellow UR30 users. They are not detailed as the other software official features and main contain bugs.

Contact the pierrick.guillard-prevert@wanadoo.fr if you need a specific cheat feature.

Track layout editor

- type "stat" in a track layout window : opens a dialog to build a track layout reports from folders containing several scc files

- "trdk" : converts a Tracker 2000 file into a UR30 file

- "todk" : converts a Tracker 2000 file into a UR30 file with predefined options

- "tadk" : converts folder Tracker 2000 files into UR30 files

- "vbsc" : converts *.vb race and header pane templates into UR30 files

Race management system

- click twice + maintain <ctrl> key pressed in the driver dialog background : opens a dialog to cheat against current selected driver. Adds automatically an amount of time to the driver lap.


Database structure

UR30 database is an MS Access database. UR30 uses ADO over MS Jet Direct 3.51 or 4.0 engine to access it.

This database can be queried by any kind of tools like MS Query, ODBC engines, Excel… There are no protection nor login to access it. Table fields are described within the database itself. Open it in design mode for further information.

Following drawing display table links with identifier and foreign keys. Caution : do not alter the database integrity by doing direct changes. That may hangs UR30.

Table

Description

Circuit

Contains all circuit details

Hardware

Hardware and events parameters of each circuit managed in the database

Lane

Circuit lanes with attributes. Linked to corresponding circuit.

Pilot

List of all drivers with their caracteristics

SlotCar

List of all slot cars

Maintenance

Slot car maintenance task list

Race

All run races. Races with temporary drivers or slot cars are automatically removed from the database

Lap

Race laps with their statistics

Scores

Scores won during a race and linked to the corresponding lap

Tournament

On going and completed tournaments

Totalizator

Reserved for future use


Extented Racing System

Extended Racing System (ERS) is a low cost device allowing UR30 to manage race with pit stop simulation. It allows following simulation features :

- simulate slot car fuel consummation

- make statistics about each driver racing know-how

- detect slot cars

- enable button interruption from each driver hand controller

- simulate slot car breakdowns

- simulate tank filling (pit stop)

Following section explains how to configure ERS device according to the lane number and expected simulation features. Eg : ERS can works with an external lap counter.

Caution : ERS allows simulation only on 2 or 4 lane circuits.

ERS wire/signal table

Signal description | Signal name | Wire color
ERS supply. 9-12V | V+ | Red
ERS supply - | GND | Black
Slot car supply.Measure of the slot car circuit supply | PWR | Brown
Serial port | Serial | Serial cable
ERS 5V reference | 5V+ | Orange
Lane connections |  |
Measure lane supply | ADC_L<lane no> | Purple
Lane control. Let ERS switch on/off power on the lane. | CTR_L<lane no> | Green
Lane control button A. Fill tank | FT_L<lane no> | Yellow
Lane control button B. Switch. | SW_L<lane no> | White
Lane slot car detection | CPT_L<lane no> | Blue

Caution : ERS assumes all devices are connected to same ground : ERS power supply, main slot car power supply, hand controllers. See below descriptions for further details.

Supply : mandatory to supply power to ERS device

Serial port : mandatory to interface ERS with PC

Slot car supply : optional. Used to measure the whole slot car power supply

Lane supply : Used to measure the lane supply for a slot car. There is one connection like this per lane.

Caution : assumes power supply ground are connected together and connected to one of the 2 lane contacts.

Lane control : Used to control the lane supply from the ERS device.

Hand controller with brake :

Lane supply connection to ERS is displayed here.

Lane control buttons (A & B) : Used to fill slot car fuel or request a result display during a race.

Slot car detection : Used to detect a slot car on a lane.

Assumes ERS ground is connected with power supply ground.

Several technologies can be used to bind ERS with slot car detector.

Dead strip method :


Printing a report

Click on the “Print” button to print a report.

UR30 uses html report templates located in directory “./Racer30/reports”. Thus these reports can be customized as you need. Change them in this directory and keep the same name.

UR30 uses these templates to create the final reports in directory “./racer30/temp/reports”. UR30 fills the template with one or more XML markups containing all data to be displayed in the final report. These XML makup contents are filled from current displayed pane.

The XML markup with all report data are always placed at the beginning of the report, just after the BODY markup.

These report data are structured like any XML data. Usually the XML tag corresponds to a table name and its attributes to the table fields. Open a created report for further details.

The final reports use the standard HTML markup fields DATASRC, DATAFLD and SPAN to present the final report. Refer to the HTML language documentation for further details about these markup usage.


Tip of the day

The “Tip of the day” dialogue displays randomly suggests and tricks to learn UR30 faster.

Click on “Next tip” to display another suggest.

Select “Never show tips at startup” if you do not want the tip dialogue displayed when UR30 starts.


WEB Publication

Click on the “WEB publish” button to create a WEB page and publish it on the WEB. Select in the list the report you’d like to publish :

WEB report name | Description
Current slot car details | Report with slot car details and stats selected in slot car pane
Current driver details | Report with driver details and stats selected in driver pane
List of all slot cars | All slot car from the database with picture and stats
List of all drivers | All drivers from the database with pictures and stats
Top 50 | Top 50 best laps sorted by criteria of Top 50 pane
Current race history | Report with the last selected race in History pane
Circuit details | Circuit and hardware configuration details
Race setup details | All information from pane Race setup
Tournament status | Tournament details with teams, races, laps and stats.

Click on button OK to generate report then WEB publication.

UR30 uses html report templates located in directory “./Racer30/reports”. Thus these reports can be customized as you need. Change them in this directory and keep the same name.

UR30 uses these templates to create the final reports in directory “./racer30/temp/web”. UR30 fills the template with one or more XML markups containing all data to be displayed in the final report. These XML makup contents are filled from current displayed pane.

The XML markup with all report data are always placed at the beginning of the report, just after the BODY markup.

These report data are structured like any XML data. Usually the XML tag corresponds to a table name and its attributes to the table fields. Open a created report for further details.

The final reports use the standard HTML markup fields DATASRC, DATAFLD and SPAN to present the final report. Refer to the HTML language documentation for further details about these markup definitions.

When a report is created UR30 FTPs all report file against the server and into the remote directory specified in the option pane. Take care to fill correctly the server name, login name and directory to access the server successfully!